Package org.openoffice.da.comp.w2lcommon.filter

# Class GraphicConverterImpl

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.GraphicConverterImpl

All Implemented Interfaces:
  `GraphicConverter`

public class GraphicConverterImpl extends Object implements GraphicConverter

## Constructor Summary

Constructors
Constructor
Description
`GraphicConverterImpl(com.sun.star.uno.XComponentContext xComponentContext)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`convert(byte[] source, String sSourceMime, String sTargetMime)`
Convert a graphics file from one format to another
`boolean`
`supportsConversion(String sSourceMime, String sTargetMime, boolean bCrop, boolean bResize)`
Check whether a certain conversion is supported by the converter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GraphicConverterImpl

public GraphicConverterImpl(com.sun.star.uno.XComponentContext xComponentContext)

## Method Details

### supportsConversion

public boolean supportsConversion(String sSourceMime, String sTargetMime, boolean bCrop, boolean bResize)
Description copied from interface: `GraphicConverter`
Check whether a certain conversion is supported by the converter

Specified by:
  `supportsConversion` in interface `GraphicConverter`
Parameters:
  `sSourceMime` - a string containing the source Mime type
  `sTargetMime` - a string containing the target Mime type
  `bCrop` - true if the target graphic should be cropped
  `bResize` - true if the target graphic should be resized (the last two parameters are for future use)
Returns:
  true if the conversion is supported

### convert

public byte[] convert(byte[] source, String sSourceMime, String sTargetMime)
Description copied from interface: `GraphicConverter`
Convert a graphics file from one format to another

Specified by:
  `convert` in interface `GraphicConverter`
Parameters:
  `source` - a byte array containing the source graphic
  `sSourceMime` - a string containing the Mime type of the source
  `sTargetMime` - a string containing the desired Mime type of the target
Returns:
  a byte array containing the converted graphic. Returns null if the conversion failed.